#pragma once
#include "Screen.h"
#include "Sequencer.h"
#include "Player.h"

class ConfigurationScreen : public Screen
{
    typedef Screen parent;

public:

    const midi::Launchpad::KeyCoordinate configWidth = midi::Launchpad::width - 1;
    const Player::Bpm minBpm = 1;
    const Player::Bpm maxBpm = (1 << (configWidth * 2)) - 1;
    const BeatIndex maxBeatsCount = (1 << configWidth) - 1;

    ConfigurationScreen(Sequencer& seq);
    
protected:

	virtual void keyPressed(unsigned char x, unsigned char y);
	virtual void keyReleased(unsigned char x, unsigned char y);

    virtual void refresh(unsigned char x, unsigned char y);

};
