#pragma once
#include <vector>
#include <memory>
#include "midi/Launchpad.h"
#include "midi/Message.h"
#include "BeatSequence.h"
#include "PlaybackScreen.h"
#include "ConfigurationScreen.h"
#include "Player.h"

class Sequencer
{
public:
    midi::Launchpad launchpad;
    PlaybackScreen playbackScreen;
    ConfigurationScreen configScreen;
    std::vector<std::shared_ptr<midi::Message>> messages;
    unsigned char defaultOutputChannel;
    midi::Output midiOut;
    BeatSequence beats;
    Player player;

    Sequencer();
    void run();
};
